function OnMessageInvoked(event) {
    destinationURL = event.data.toLowerCase();

    // Verify the contents of the message - the URL should be from AE and to ArchiveExplorer.asp
    if (destinationURL.substring(0, event.origin.length) == event.origin.toLowerCase()) {
        location.href = event.data;
    }
}

if (window.attachEvent)
    window.attachEvent("onmessage", OnMessageInvoked);
